<?php
session_start();
include "verifica.php";

include("../conexion.php");

@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];
@$xcuo_codi=$_REQUEST['xprc_codi'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

$cuo = new Cuotas;

switch($xaccion){
	
	case "adicionar": 
		if($cuo->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_precios').src = "cuotas.php?xid=<?php echo $xid;?>";	
			       
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($cuo->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios en las cuotas han sido guardados.");
			//parent.parent.accion_compras('cerrar_nueva_cuota');
			//parent.location.href="../precios.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($cuo->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Cuota eliminada satisfactoriamente.")
			parent.parent.document.getElementById('frame_precios').src = "cuotas.php?xid=<?php echo $xid;?>";	
			</script>			
			<?php
			
		}		
		break;

}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Cuotas{

	//Adiciona nuevo precio
	function adicionar($conexion){
		global $xid, $xusuario_sesion;
		
		?>			
		<script language="javascript">
		//alert("Estamos:: <?php echo $xid; ?> ")
		
		</script>			
		<?php
		
		$xmonto_compra = 0;
		$xmonto_cuotas = 0;
		
		
		$r_monto_compra = mysqli_query($conexion, "SELECT SUM(ordcomdet_precio * ordcomdet_cantidad) AS monto FROM orden_compra_detalle o WHERE ordcom_codi_fk=$xid;");
		while($row_monto_compra = mysqli_fetch_array($r_monto_compra)){
			$xmonto_compra = $row_monto_compra['monto'];
		}

		$xmonto_cuotas = 0;
		$r_monto_cuotas = mysqli_query($conexion, "SELECT ordcom_codi_fk, sum(cuo_monto) as total_cuotas FROM cuotas c WHERE ordcom_codi_fk=$xid;");
		while($row_monto_cuotas = mysqli_fetch_array($r_monto_cuotas)){
			$xmonto_cuotas = $row_monto_cuotas['total_cuotas'];
		}
				
		$xmonto_sugerido = $xmonto_compra - $xmonto_cuotas;

		?>			
		<script language="javascript">
		//alert("xmonto_sugerido:: <?php echo $xmonto_sugerido; ?> ")
		
		</script>			
		<?php
		
				
		$r=mysqli_query($conexion,"INSERT INTO cuotas (ordcom_codi_fk, 
														cuo_fechahora,
														cuo_monto,
														cuo_estado) 
												VALUES($xid, 
														NOW(),
														$xmonto_sugerido,
														'1');");
				
		if($r){		
			return 1;
		}	
				
	}	


	//Modifica un precio
	function modificar($conexion){
		global $xid, $xusuario_sesion;		
		$result1=mysqli_query($conexion,"SELECT * FROM cuotas c where ordcom_codi_fk=$xid;");
		
		while($row1=mysqli_fetch_array($result1)){
		
			$xcuo_codi = $row1['cuo_codi'];
		
			
			@$chk = "chk_".$xcuo_codi;
			@$chk = $_REQUEST[$chk];
			if($chk!=1){ $chk=0; }	
			
			@$xcuo_tipo = "xcuo_tipo_".$xcuo_codi;
			@$xcuo_tipo = $_REQUEST[$xcuo_tipo];
		
			@$xcuo_descripcion = "xcuo_descripcion_".$xcuo_codi;
			@$xcuo_descripcion = $_REQUEST[$xcuo_descripcion];
		
			@$xcuo_monto = "xcuo_monto_".$xcuo_codi;
			@$xcuo_monto = $_REQUEST[$xcuo_monto];
			
			@$xcuo_fecha_cuota = "xcuo_fecha_cuota_".$xcuo_codi;
			@$xcuo_fecha_cuota = $_REQUEST[$xcuo_fecha_cuota];
			
			
			//echo $opt."<--opt ".$chk."<--chk ".$xunidad."<--unidad ".$xtipoprecio."<--tipoprecio ".$xprecio."<--precio <br>";
				
			$r=mysqli_query($conexion,"update cuotas set cuo_fecha_cuota='$xcuo_fecha_cuota',
																cuo_monto='$xcuo_monto',
																cuo_estado='$chk',
																cuo_tipo='$xcuo_tipo',
																cuo_descripcion='$xcuo_descripcion'
										where cuo_codi=$xcuo_codi;");		
			
		}		
		
		if($r){		
			return 1;
		}	

	
	}	
	

	//Elimina un precio
	function eliminar($conexion){
		global $xid,$xcuo_codi;		

		$r = mysqli_query($conexion,"delete from cuotas where cuo_codi = $xcuo_codi;");
		
		if($r){		
			return 1;
		}	
	}		



}








?>

